REMOVEPKG(8)

NAZWA
removepkg - usuń pakiety Slackware.

STRESZCZENIE
removepkg packagename

[ ROOT=/mnt ] removepkg [ -copy ] [ -keep ] [ -preserve ] [ -warn ] packagename

OPIS
removepkg usuwa wcześniej zainstalowany pakiet systemu Slackware wyświetlając raport postępu na standardowym wyjściu (stdout). Pakiet może być wyszczególniony przez podanie pełnej nazwy (tak jak w /var/log/packages/), bądź też głównego członu nazwy pakietu. Na przykład, pakiet foo-1.0-i486-1.tgz może być usunięty używając jednej z poniższych poleceń: removepkg foo-1.0-i486-1.tgz (również rozpoznaje: .tbz, .tlz, .txz) removepkg foo-1.0-i486-1 removepkg foo.tgz removepkg foo Przy usuwaniu plików removepkg przeanalizuje zawartość innych pakietów zainstalowanych na twoim systemie i usunie tylko pliki, które występują wyłącznie w pakiecie, który ma być usunięty. Podobnie, wszystkie inne pakiety będą brane pod uwage przy decyzji dotyczącej usunięcia z pakietu (bądź nie) dowiązań symbolicznych.

Usuwanie pakietu (jak również jego instalacja) może być niebezpiecznym przedsięwzięciem. Z tego powodu, istnieje opcja -warn. Gdy jej użyjesz, removepkg nie usunie żadnego z plików lub dowiązań, lecz wyświetli dokładny raport opisujący co by się stało gdyby pakiet został usunięty. Zalecane jest to (wraz z wysłaniem wyjścia do less) przed usunięciem pakietów w celu upewnienia się, że posiadasz kopie zapasowe ważnych danych.

Podczas usuwania pakietu, jego oryginalny indeks plikowy będzie przesunięty z /var/log/packages do /var/log/removed_packages. Podobnie, jego skrypt instalacyjny zostanie przesunięty z /var/log/scripts do /var/log/removed_scripts.

OPCJE

-warn nazwapakietu
    Wyślij do standardowego wyjścia raport o plikach i katalogach, które byłyby usunięte. Nie usuwaj jednak pakietu.

-preserve nazwapakietu
    Jeśli wybrane, całe drzewo podkatalogów pakietu będzie zrekonstruowane w /var/log/setup/tmp/preserved_packages/nazwapakietu.

-copy nazwapakietu
    Zbuduj kopię pakietu w /var/log/setup/tmp/preserved_packages/nazwapakietu, ale go nie usuwaj (ten sam efekt, co -warn -preserve).

-keep
    Zapisz przejściowe pliki utworzone przez removepkg (delete_list, required_files, uniq_list, del_link_list, required_links, required_list). Przydatne głównie w celach debugowania.

Możliwe jest usunięcie pakietu z innego systemu plików niż / poprzez dostarczenie programowi removepkg zmiennej środowiskowej ROOT.

ROOT=/mnt removepkg paczka

AUTORZY
Patrick J. Volkerding <volkerdi@slackware.com>, with enhancements by Christian Franke <c.franke@acm.org>

ZOBACZ RÓWNIEŻ
installpkg(8), makepkg(8), pkgtool(8), upgradepkg(8)